"""
  Otladka prog-my perewoda f-l mevdu SI i SGS|.
  Wrode ws@ rabotaet.
"""
from smy_6c import *

# E = -dA/dt
a1=E; a2=-A/t
preob_flu(a1,a2,E_)  # E_ = -A_/(c_*t_)

# rho_pol = -div P
a1=rho_el; a2=P_el/l 
preob_flu(a1,a2,rho_el_)  # -> rho_el_ = P_el_/l_

# j_pol = dP/dt
a1=j; a2=P_el/t
preob_flu(a1,a2,j_)  # -> j_ = P_el_/t_

# j_mag = rot M
a1=j; a2=M_ma/l
preob_flu(a1,a2,j_)
# -> j_ = M_ma_*c_/l_ ; soglas. s rot M =  J_swqz/c .

# D == eps0*E + P
a1=D; a2=eps0*E; a3=P_el
preob_flu(a1,a2,D_)  # -> D_ = E_
preob_flu(a1,a3,D_)  # -> D_ = 4*pi*P_el_

# H == (1/mu0)*B - M
a1=H; a2=(1/mu0)*B; a3= -M_ma
preob_flu(a1,a2,H_)  # -> H_ = B_
preob_flu(a1,a3,H_)  # -> H_ = -4*pi*M_ma_

# rot E = -dB/dt
a1=E/l; a2=-B/t
preob_flu(a1,a2,E_)
# E_ = -B_*l_/(c_*t_) => E_/l_ = -B_/(c_*t_) => 
# rot E_ = -1/c dB/dt .

# rot H = j_swob + dD/dt
a1=H/l; a2=j; a3 = D/t
preob_flu(a1,a2,H_)  # H_ = 4*pi*j_*l_/c_
preob_flu(a1,a3,H_)  # H_ = D_*l_/(c_*t_)
# -> H_/l_ = 4*pi*j_/c_ + D_/(c_*t_) ->
# rot H_ = (4*pi/c_)*j_ + 1/c_ * dD_/dt_

# div D = rho_swob
a1=D/l; a2=rho_el
preob_flu(a1,a2,D_)  # D_ = 4*pi*l_*rho_el_
# -> div D_ = 4*pi*rho_el_

# div B = 0
# A na takoe prog-ma ne ras`itana, no iz B = coef*B_ 
# samostoqt. polu`. div B_ = 0 .

# u = eps0/2*E^2 + eps0*c^2/2*B^2
a1=plot_E; a2=eps0/2*E**2; a3=eps0*c**2/2*B**2
preob_flu(a1,a2,plot_E_)  # plot_E_ = E_**2/(8*pi)
preob_flu(a1,a3,plot_E_)  # plot_E_ = B_**2/(8*pi)

# S_Point = eps0*c^2 * ExB
a1=S_Po; a2=eps0*c**2*E*B
preob_flu(a1,a2,S_Po_) # S_Po_ = B_*E_*c_/(4*pi) 

# Nabla^2 A - 1/c^2 d2A/dt^2 = -j/(eps0*c^2)
# Popytka preobr. s 
# a1=A/l**2; a2= - S(1)/c**2*A/t**2 ->
# 'A' sokra]aetsq, i solve -> err.
# Dlq b-by s \tim ww. now. perem. dlq lew. `asti.
dupa_,dupa,k_dupa=opred('dupa', X_,A_/l_**2, X,A/l**2, None,None)
a1=dupa; a2= - S(1)/c**2*A/t**2; a3=-j/(eps0*c**2); 
preob_flu(a1,a2,dupa_)  # dupa_ = -A_/(c_**2*t_**2)
preob_flu(a1,a3,dupa_)  # dupa_ = -4*pi*j_/c_

# Nabla^2 fi - 1/c^2 d2fi/dt^2 = -rho/eps0
# Analogi`no slu`a; Nabla^2 A .
dupa_,dupa,k_dupa=opred('dupa', X_,fi_/l_**2, X,fi/l**2, None,None)
a1=dupa; a2= - S(1)/c**2*fi/t**2; a3=-rho_el/eps0; 
preob_flu(a1,a2,dupa_)  # dupa_ = -fi_/(c_**2*t_**2)
preob_flu(a1,a3,dupa_)  # dupa_ = -4*pi*rho_el_

